#!/bin/sh

PATH='/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11'

BUILD='cc -g -O2 -fdebug-prefix-map=/var/www/debian/mentors/toybox-0.8.3=. -fstack-protector-strong -Wformat -Werror=format-security -funsigned-char -funsigned-char -g -O2 -fdebug-prefix-map=/var/www/debian/mentors/toybox-0.8.3=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I . -Os -ffunction-sections -fdata-sections -fno-asynchronous-unwind-tables -fno-strict-aliasing'

LINK='-Wl,--gc-sections -Wl,-z,relro -Wl,-z,now -o generated/unstripped/toybox -Wl,--as-needed -lutil -lcrypt -lm -lresolv -lselinux -lattr -lcrypto -lz'

FILES='lib/args.c
lib/commas.c
lib/deflate.c
lib/dirtree.c
lib/env.c
lib/lib.c
lib/linestack.c
lib/llist.c
lib/net.c
lib/password.c
lib/portability.c
lib/tty.c
lib/xwrap.c lib/help.c main.c toys/example/demo_many_options.c
toys/example/demo_number.c
toys/example/demo_scankey.c
toys/example/demo_utf8towc.c
toys/example/hello.c
toys/example/hostid.c
toys/example/logwrapper.c
toys/example/skeleton.c
toys/lsb/dmesg.c
toys/lsb/gzip.c
toys/lsb/hostname.c
toys/lsb/killall.c
toys/lsb/md5sum.c
toys/lsb/mknod.c
toys/lsb/mktemp.c
toys/lsb/mount.c
toys/lsb/passwd.c
toys/lsb/pidof.c
toys/lsb/seq.c
toys/lsb/su.c
toys/lsb/sync.c
toys/lsb/umount.c
toys/net/ftpget.c
toys/net/ifconfig.c
toys/net/microcom.c
toys/net/netcat.c
toys/net/netstat.c
toys/net/ping.c
toys/net/rfkill.c
toys/net/sntp.c
toys/net/tunctl.c
toys/other/acpi.c
toys/other/ascii.c
toys/other/base64.c
toys/other/blkdiscard.c
toys/other/blkid.c
toys/other/blockdev.c
toys/other/bzcat.c
toys/other/chroot.c
toys/other/chrt.c
toys/other/chvt.c
toys/other/clear.c
toys/other/count.c
toys/other/devmem.c
toys/other/dos2unix.c
toys/other/eject.c
toys/other/factor.c
toys/other/fallocate.c
toys/other/flock.c
toys/other/fmt.c
toys/other/free.c
toys/other/freeramdisk.c
toys/other/fsfreeze.c
toys/other/fsync.c
toys/other/help.c
toys/other/hexedit.c
toys/other/hwclock.c
toys/other/i2ctools.c
toys/other/inotifyd.c
toys/other/insmod.c
toys/other/ionice.c
toys/other/login.c
toys/other/losetup.c
toys/other/lsattr.c
toys/other/lsmod.c
toys/other/lspci.c
toys/other/lsusb.c
toys/other/makedevs.c
toys/other/mcookie.c
toys/other/mix.c
toys/other/mkpasswd.c
toys/other/mkswap.c
toys/other/modinfo.c
toys/other/mountpoint.c
toys/other/nsenter.c
toys/other/oneit.c
toys/other/partprobe.c
toys/other/pivot_root.c
toys/other/pmap.c
toys/other/printenv.c
toys/other/pwdx.c
toys/other/readahead.c
toys/other/readlink.c
toys/other/reboot.c
toys/other/reset.c
toys/other/rev.c
toys/other/rmmod.c
toys/other/rtcwake.c
toys/other/setfattr.c
toys/other/setsid.c
toys/other/shred.c
toys/other/stat.c
toys/other/swapoff.c
toys/other/swapon.c
toys/other/switch_root.c
toys/other/sysctl.c
toys/other/tac.c
toys/other/taskset.c
toys/other/timeout.c
toys/other/truncate.c
toys/other/uptime.c
toys/other/usleep.c
toys/other/uuidgen.c
toys/other/vconfig.c
toys/other/vmstat.c
toys/other/w.c
toys/other/watch.c
toys/other/which.c
toys/other/xxd.c
toys/other/yes.c
toys/pending/arp.c
toys/pending/arping.c
toys/pending/bc.c
toys/pending/brctl.c
toys/pending/crond.c
toys/pending/dd.c
toys/pending/dhcp.c
toys/pending/dhcp6.c
toys/pending/dhcpd.c
toys/pending/diff.c
toys/pending/dumpleases.c
toys/pending/expr.c
toys/pending/fdisk.c
toys/pending/fold.c
toys/pending/fsck.c
toys/pending/getfattr.c
toys/pending/getopt.c
toys/pending/getty.c
toys/pending/groupadd.c
toys/pending/groupdel.c
toys/pending/host.c
toys/pending/init.c
toys/pending/ip.c
toys/pending/ipcrm.c
toys/pending/ipcs.c
toys/pending/klogd.c
toys/pending/last.c
toys/pending/lsof.c
toys/pending/man.c
toys/pending/mdev.c
toys/pending/mke2fs.c
toys/pending/modprobe.c
toys/pending/more.c
toys/pending/openvt.c
toys/pending/readelf.c
toys/pending/route.c
toys/pending/sh.c
toys/pending/stty.c
toys/pending/sulogin.c
toys/pending/syslogd.c
toys/pending/telnet.c
toys/pending/telnetd.c
toys/pending/tftp.c
toys/pending/tftpd.c
toys/pending/tr.c
toys/pending/traceroute.c
toys/pending/useradd.c
toys/pending/userdel.c
toys/pending/vi.c
toys/pending/wget.c
toys/pending/xzcat.c
toys/posix/basename.c
toys/posix/cal.c
toys/posix/cat.c
toys/posix/chgrp.c
toys/posix/chmod.c
toys/posix/cksum.c
toys/posix/cmp.c
toys/posix/comm.c
toys/posix/cp.c
toys/posix/cpio.c
toys/posix/cut.c
toys/posix/date.c
toys/posix/df.c
toys/posix/dirname.c
toys/posix/du.c
toys/posix/echo.c
toys/posix/env.c
toys/posix/expand.c
toys/posix/false.c
toys/posix/file.c
toys/posix/find.c
toys/posix/getconf.c
toys/posix/grep.c
toys/posix/head.c
toys/posix/iconv.c
toys/posix/id.c
toys/posix/kill.c
toys/posix/link.c
toys/posix/ln.c
toys/posix/logger.c
toys/posix/ls.c
toys/posix/mkdir.c
toys/posix/mkfifo.c
toys/posix/nice.c
toys/posix/nl.c
toys/posix/nohup.c
toys/posix/od.c
toys/posix/paste.c
toys/posix/patch.c
toys/posix/printf.c
toys/posix/ps.c
toys/posix/pwd.c
toys/posix/renice.c
toys/posix/rm.c
toys/posix/rmdir.c
toys/posix/sed.c
toys/posix/sleep.c
toys/posix/sort.c
toys/posix/split.c
toys/posix/strings.c
toys/posix/tail.c
toys/posix/tar.c
toys/posix/tee.c
toys/posix/test.c
toys/posix/time.c
toys/posix/touch.c
toys/posix/true.c
toys/posix/tty.c
toys/posix/ulimit.c
toys/posix/uname.c
toys/posix/uniq.c
toys/posix/unlink.c
toys/posix/uudecode.c
toys/posix/uuencode.c
toys/posix/wc.c
toys/posix/who.c
toys/posix/xargs.c'


$BUILD $FILES $LINK
